import { EventStore, View } from "@fullcalendar/core";
import { ComponentContext } from "@fullcalendar/core/component/Component";
export declare class MonthGridView extends View {
    private width;
    private height;
    private $contentElement;
    private uuid;
    private _svg;
    private readonly padding;
    private readonly dayColumnWidth;
    private readonly monthNameHeight;
    private readonly weekLineHeight;
    private readonly spacingX;
    private readonly spacingY;
    private readonly textHangOffset;
    private get monthWidth();
    private get monthHeight();
    private maxOccupationTime;
    private events;
    private weekDayShortNames;
    private eventsPopper;
    initialize(): void;
    firstContext(context: ComponentContext): void;
    destroy(): void;
    updateSize(isResize: boolean, viewHeight: number, isAuto: boolean): void;
    renderEvents(eventStore: EventStore): void;
    private getMonthRangesToBeDisplayed;
    private startOfWeek;
    private getDisplayedWeeks;
    private getMonthsPerRow;
    private initWeekDayShortNames;
    private calculateDayOccupationColorsFromEvents;
    private monthNameFormatter;
    private updateMonthDisplays;
    private getBestTileCoverageInfo;
    private getEventsForDay;
    private updatePopper;
    private renderPopperEvents;
    private describeArc;
    private eventsToSegments;
    private eventToSegments;
    private groupSegmentsByDay;
    private calculateDayOccupationColors;
    private getDayString;
}
export declare var monthGridViewPlugin: import("@fullcalendar/core").PluginDef;
